Skip to content

Services ​

Endpoints for retrieving the list of services used in appointments and online bookings.

Service list ​

GET /api/v1/Service/Simple

Returns a list of active services including basic settings.

Parameters ​

This endpoint has no parameters.

Response ​

Response is a ServiceItem[] array.

ServiceItem ​

FieldTypeDescription
IdServiceuuidService identifier
SettingsServiceSettingsGeneral service settings

ServiceSettings ​

FieldTypeDescription
CaptionstringService name
DurationintService duration in minutes
ColorstringService color (HEX)

Extended service list ​

GET /api/v1/Service/Extended

Returns a list of services including basic settings, assigned staff, and online booking settings.

Parameters ​

ParameterTypeRequiredDescription
IdStaffuuidnoFilter by assigned staff member
CaptionstringnoSearch in the service name
IsOnlineBookingboolnoFilter by availability for online bookings

Response ​

Response is a ServiceItem[] array.

ServiceItem ​

FieldTypeDescription
IdServiceuuidService identifier
Staffsuuid[]List of staff identifiers assigned to the service
SettingsServiceSettingsGeneral service settings
OnlineBookingServiceOnlineBookingService settings for online bookings

Service detail ​

GET /api/v1/Service/Detail/{idService}

Returns detail of a specific service including basic settings and online booking settings.

Path parameters ​

ParameterTypeRequiredDescription
idServiceuuidyesService identifier

Response ​

FieldTypeDescription
IdServiceuuidService identifier
Staffsuuid[]List of staff identifiers assigned to the service
SettingsServiceSettingsGeneral service settings
OnlineBookingServiceOnlineBookingService settings for online bookings

ServiceSettings ​

FieldTypeDescription
CaptionstringService name
DurationintService duration in minutes
ColorstringService color (HEX)

ServiceOnlineBooking ​

FieldTypeDescription
NameOnlinestringService name for online bookings
DescriptionstringService description for online bookings
CostnumberService price
DepositnumberService deposit
IsOnlineboolWhether the service is available for online bookings
IsAuthboolWhether the service requires iKlient login

Error states ​

StatusCodeDescription
404SERVICE_NOT_FOUNDService with the given idService does not exist